## gpaw 1.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html linkcheck browse

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

help:
	@echo "Use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  clean      to clean up"
	@echo "  browse     to open browser"

clean:
	rm -rf $(BUILDDIR)/*
	python -m ase.utils.sphinx clean

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

browse:
	firefox build/html/index.html

=== doc/documentation/parallel_runs/ScaLapack/pdsyevd/Makefile ===
include Makefile.fjorm

COMPILE = $(CC) $(CFLAGS) $(INCLUDEMPI) -c

%.o: %.c
	$(COMPILE) $*.c -o $@

SOURCES = main.c
OBJECTS = $(SOURCES:%.c=%.o)

PDSYEV = test.exe

all: $(PDSYEV)
pdsyev: $(PDSYEV)

LINK = $(F77)
LIBS = $(LIBSCALAPACK) $(LIBBLACS) $(LIBBLAS) $(LIBMPI) $(LDFLAGS)

test.exe: main.o
	$(LINK) main.o $(LIBS) -o $@

clean:
	rm -f $(PDSYEV) main.o

## gpaw 0.11.0.13004

=== debian/changelog ===
gpaw (0.11.0.13004-3build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:48:29 +0000

gpaw (0.11.0.13004-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:27:57 +0000

gpaw (0.11.0.13004-3) unstable; urgency=medium

  * Move package to debichem, update Maintainer and Vcs-* fields.
  * Sort file lists for reproducible build, thanks Reiner Herrmann.

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Jan 2016 07:05:46 +0200

gpaw (0.11.0.13004-2) unstable; urgency=medium

  * Add myself to uploaders.
  * d/rules: remove DH_VERBOSE=1.
  * Provide a default configuration for unknown architectures.

 -- Graham Inggs <ginggs@debian.org>  Thu, 01 Oct 2015 16:58:43 +0200

gpaw (0.11.0.13004-1) unstable; urgency=low

  * Initial release. (Closes: #782543)

 -- Marcin Dulak <Marcin.Dulak@gmail.com>  Fri, 14 Aug 2015 18:45:50 -0700

=== debian/control ===
Source: gpaw
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>, Graham Inggs <ginggs@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               libblas-dev,
               liblapack-dev,
               mpi-default-bin,
               mpi-default-dev,
               openssh-client,
               libxc-dev,
               python-numpy,
               python-ase,
               gpaw-data
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gpaw.git
Vcs-Git: git://anonscm.debian.org/debichem/packages/gpaw.git
Homepage: https://wiki.fysik.dtu.dk/gpaw/
X-Python-Version: >= 2.6

Package: gpaw
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python-ase,
         gpaw-data
Recommends: python-scipy
Description: DFT and beyond within the projector-augmented wave method
 A density-functional theory (DFT) Python code
 based on the projector-augmented wave (PAW) method and the
 atomic simulation environment (ASE). It uses real-space uniform grids and
 multigrid methods, atom-centered basis-functions or plane-waves.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with=python2

test-python%:
	set -ex && mkdir tmp && cd tmp && \
	PYTHONPATH=../ python$* ../tools/gpaw-test \
        --range=gemm_complex.py,xc.py && \
	cd - && rm -rf tmp; \

override_dh_auto_clean:
	dh_auto_clean
	rm -f configuration.log

override_dh_auto_test: $(PYTHON2:%=test-python%)

override_dh_auto_install:
	dh_auto_install
	dh_numpy

=== debian/watch ===
version=3
https://wiki.fysik.dtu.dk/gpaw/install/download.html .*/gpaw-files/gpaw-(.+)\.tar\.gz

## gpaw 1.0.0

=== debian/changelog ===
gpaw (1.0.0-2) unstable; urgency=medium

  * Fix test range so we do not run all the tests. (Closes: #827213)

 -- Graham Inggs <ginggs@debian.org>  Fri, 17 Jun 2016 13:48:16 +0200

gpaw (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch for move to GitLab.
  * Drop default-config.patch and sort-file-lists.patch,
    included upstream.
  * Use secure URI for Vcs-Git field.
  * Add build dependency on python-scipy.
  * Set dependencies on python-ase (>= 3.10.0).
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Wed, 01 Jun 2016 18:41:32 +0200

## gpaw 1.1.0

=== debian/changelog ===
gpaw (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Jul 2016 11:05:03 +0200

=== debian/control ===
Source: gpaw
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
           Graham Inggs <ginggs@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               gpaw-data,
               libblas-dev,
               liblapack-dev,
               libxc-dev,
               mpi-default-bin,
               mpi-default-dev,
               openssh-client,
               python-all-dev,
               python-ase (>= 3.10.0),
               python-numpy,
               python-scipy
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gpaw.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gpaw.git
Homepage: https://wiki.fysik.dtu.dk/gpaw/
X-Python-Version: >= 2.6

Package: gpaw
Architecture: any
Depends: gpaw-data,
         python-ase (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-scipy
Description: DFT and beyond within the projector-augmented wave method
 A density-functional theory (DFT) Python code
 based on the projector-augmented wave (PAW) method and the
 atomic simulation environment (ASE). It uses real-space uniform grids and
 multigrid methods, atom-centered basis-functions or plane-waves.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 test-python%:
 	set -ex && mkdir tmp && cd tmp && \
 	PYTHONPATH=../ python$* ../tools/gpaw-test \
-        --range=gemm_complex.py,xc.py && \
+        --range=linalg/gemm_complex.py,xc/xc.py && \
 	cd - && rm -rf tmp; \
 
 override_dh_auto_clean:

## gpaw 1.2.0

=== debian/changelog ===
gpaw (1.2.0-1ubuntu1) artful; urgency=medium

  * Add autopkgtest.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 26 Apr 2017 13:47:37 +0200

gpaw (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch buildsystem from python_distutils to pybuild.
  * Clean configuration.log from d/clean instead of d/rules.
  * Switch to debhelper 10.
  * Update debian/copyright.
  * Bump dependencies on python-ase (>= 3.13.0).
  * Switch from Python 2 to Python 3.
  * Enable all hardening options.
  * Drop unnecessary build dependencies.

 -- Graham Inggs <ginggs@debian.org>  Mon, 24 Apr 2017 14:19:15 +0200

=== debian/control ===
Source: gpaw
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
           Graham Inggs <ginggs@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               gpaw-data,
               libblas-dev,
               liblapack-dev,
               libxc-dev,
               mpi-default-dev,
               python3-all-dev,
               python3-ase (>= 3.13.0),
               python3-numpy,
               python3-scipy
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gpaw.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gpaw.git
Homepage: https://wiki.fysik.dtu.dk/gpaw/

Package: gpaw
Architecture: any
Depends: gpaw-data,
         python3-ase (>= 3.13.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-scipy
Description: DFT and beyond within the projector-augmented wave method
 A density-functional theory (DFT) Python code
 based on the projector-augmented wave (PAW) method and the
 atomic simulation environment (ASE). It uses real-space uniform grids and
 multigrid methods, atom-centered basis-functions or plane-waves.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Test-Command: gpaw test --range='linalg/gemm_complex.py,timing.py'
Depends: gpaw

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/<project>-$1\.tar\.gz/g \
https://gitlab.com/gpaw/gpaw/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## gpaw 1.3.0

=== debian/changelog ===
gpaw (1.3.0-2ubuntu1) bionic; urgency=medium

  * Avoid distutils usage during runtime.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 23:54:24 +0200

gpaw (1.3.0-2) unstable; urgency=medium

  * Make the build reproducible, thanks Chris Lamb (Closes: #882638)
  * Enable building with ScaLAPACK
  * Pass hardening flags when compiling the parallel sources
  * Link with -Wl,--as-needed to avoid useless dependencies
  * Bump Standards-Version to 4.1.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 09 Dec 2017 09:55:03 +0000

gpaw (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Add {Build-,}Depends on libfftw3-dev so that
    libfftw3.so can be found at runtime
  * Update {Build-,}Depends on python3-ase (>= 3.15.0)
  * Drop division-by-zero.patch, included upstream
  * Bump Standards-Version to 4.1.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 01 Nov 2017 17:36:19 +0000

gpaw (1.2.0-3) unstable; urgency=medium

  * Allow stderr output in the autopkgtest;
    python-ase 3.14.0 issues warnings about new API

 -- Graham Inggs <ginggs@debian.org>  Sat, 08 Jul 2017 10:20:55 +0200

gpaw (1.2.0-2) unstable; urgency=medium

  * Add autopkgtest
  * Ignore division by zero when calculating vdW-kernel
  * Update debian/copyright: https format URL
  * Bump Standards-Version to 4.0.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 19 Jun 2017 16:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gpaw
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science
@@ -9,14 +8,16 @@
                dh-python,
                gpaw-data,
                libblas-dev,
+               libfftw3-dev,
                liblapack-dev,
+               libscalapack-mpi-dev (>= 2.0.2),
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.13.0),
+               python3-ase (>= 3.15.0),
                python3-numpy,
                python3-scipy
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gpaw.git
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gpaw.git
 Homepage: https://wiki.fysik.dtu.dk/gpaw/
@@ -24,7 +25,8 @@
 Package: gpaw
 Architecture: any
 Depends: gpaw-data,
-         python3-ase (>= 3.13.0),
+         libfftw3-dev,
+         python3-ase (>= 3.15.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/gpaw-$1\.tar\.gz/g \
https://gitlab.com/gpaw/gpaw/tags?sort=updated_desc .*/(\d\S+)/archive\.tar\.gz

## gpaw 1.4.0

=== debian/changelog ===
gpaw (1.4.0-2build3) disco; urgency=medium

  * No-change rebuild against libxc5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Dec 2018 04:10:18 +0000

gpaw (1.4.0-2build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 16:34:45 +0000

gpaw (1.4.0-2build1) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:19:59 +0000

gpaw (1.4.0-2) unstable; urgency=medium

  * Avoid syntax error due to introduction of async keyword in Python 3.7

 -- Graham Inggs <ginggs@debian.org>  Sun, 01 Jul 2018 19:31:29 +0000

gpaw (1.4.0-1) unstable; urgency=medium

  * New upstream release
    - Compatibility with ASE 3.16.0 (Closes: #895033)
    - Avoids distutils usage at runtime (Closes: #896595)
  * Drop fix_stdout_output.patch, refresh remaining
  * Update {Build-,}Depends on python3-ase (>= 3.16.0)
  * Turn debhelper up to 11
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update debian/watch
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 May 2018 16:45:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gpaw
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                gpaw-data,
                libblas-dev,
@@ -14,19 +15,19 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.15.0),
+               python3-ase (>= 3.16.0),
                python3-numpy,
                python3-scipy
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/gpaw.git
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/gpaw.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
+Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
 Homepage: https://wiki.fysik.dtu.dk/gpaw/
 
 Package: gpaw
 Architecture: any
 Depends: gpaw-data,
          libfftw3-dev,
-         python3-ase (>= 3.15.0),
+         python3-ase (>= 3.16.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## gpaw 1.5.0

=== debian/changelog ===
gpaw (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop python3.7.patch, refresh remaining
  * Update {Build-,}Depends on python3-ase (>= 3.17.0)
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 18 Jan 2019 13:39:47 +0000

## gpaw 1.5.1

=== debian/changelog ===
gpaw (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Feb 2019 10:35:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gpaw
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science
@@ -15,10 +14,10 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.16.0),
+               python3-ase (>= 3.17.0),
                python3-numpy,
                python3-scipy
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
 Homepage: https://wiki.fysik.dtu.dk/gpaw/
@@ -27,7 +26,7 @@
 Architecture: any
 Depends: gpaw-data,
          libfftw3-dev,
-         python3-ase (>= 3.16.0),
+         python3-ase (>= 3.17.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
 	dh $@ --buildsystem=pybuild --with=python3

## gpaw 1.5.2

=== debian/changelog ===
gpaw (1.5.2-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no

  [ Andreas Tille ]
  * Add citation

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jul 2019 23:49:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Graham Inggs <ginggs@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                gpaw-data,
                libblas-dev,
@@ -18,6 +18,7 @@
                python3-numpy,
                python3-scipy
 Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
 Homepage: https://wiki.fysik.dtu.dk/gpaw/

## gpaw 19.8.1

=== debian/changelog ===
gpaw (19.8.1-1build2) focal; urgency=medium

  * No-change rebuild against libscalapack-openmpi2.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Jan 2020 20:14:04 +0000

gpaw (19.8.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:40:23 +0000

gpaw (19.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 19.8.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Aug 2019 01:40:46 -0400

gpaw (19.8.0-2) unstable; urgency=medium

  * Team upload.
  * Update {Build-,}Depends on python3-ase (>= 3.18.0).

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Aug 2019 07:05:15 -0400

gpaw (19.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 19.8.0
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Aug 2019 02:07:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gpaw
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science
@@ -14,7 +15,7 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.17.0),
+               python3-ase (>= 3.18.0),
                python3-numpy,
                python3-scipy
 Standards-Version: 4.3.0
@@ -27,7 +28,7 @@
 Architecture: any
 Depends: gpaw-data,
          libfftw3-dev,
-         python3-ase (>= 3.17.0),
+         python3-ase (>= 3.18.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## gpaw 20.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 clean:
 	rm -rf $(BUILDDIR)/*
-	python -m ase.utils.sphinx clean
+	python3 -m ase.utils.sphinx clean
 
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck

=== debian/changelog ===
gpaw (20.1.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:25:02 +0100

gpaw (20.1.0-2) unstable; urgency=medium

  * Add dependency on openmpi-bin
  * Add gpaw.egg-info/ to debian/clean
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 13 Feb 2020 07:02:35 +0000

gpaw (20.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 20.1.0
  * Refreshing patches.
  * Adding build-depends on python3-setuptools.

 -- Andrius Merkys <merkys@debian.org>  Thu, 06 Feb 2020 07:22:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gpaw
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science
@@ -17,8 +16,9 @@
                python3-all-dev,
                python3-ase (>= 3.18.0),
                python3-numpy,
+               python3-setuptools,
                python3-scipy
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
@@ -28,6 +28,7 @@
 Architecture: any
 Depends: gpaw-data,
          libfftw3-dev,
+         openmpi-bin,
          python3-ase (>= 3.18.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/tests/control ===
Test-Command: gpaw test --range='linalg/gemm_complex.py,timing.py'
Depends: gpaw
Restrictions: allow-stderr

## gpaw 20.10.0

=== debian/changelog ===
gpaw (20.10.0-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release
  * Refresh patches
  * Do not link with -Wl,--as-needed, it is now the default
  * Switch to debhelper 13
  * Enable pytest at build time
  * Update autopkgtest and run parallel test

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Graham Inggs <ginggs@debian.org>  Wed, 11 Nov 2020 12:11:51 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Graham Inggs <ginggs@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gpaw-data,
                libblas-dev,
@@ -14,8 +14,9 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.18.0),
+               python3-ase (>= 3.20.1),
                python3-numpy,
+               python3-pytest,
                python3-setuptools,
                python3-scipy
 Standards-Version: 4.5.0
@@ -29,7 +30,7 @@
 Depends: gpaw-data,
          libfftw3-dev,
          openmpi-bin,
-         python3-ase (>= 3.18.0),
+         python3-ase (>= 3.20.1),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	dh_auto_test -- --test-pytest --test-args="-v -m ci"

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## gpaw 21.1.0

=== debian/changelog ===
gpaw (21.1.0-1) unstable; urgency=medium

  * New upstream release
    - Compatible with SciPy 1.6.0 (Closes: #980711)
  * Bump {Build-,}Depends on python3-ase (>= 3.21.0)
  * Upgrade python3-scipy from Recommends to Depends
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 05 Feb 2021 14:38:08 +0000

gpaw (20.10.0-2) unstable; urgency=medium

  * Add .pytest_cache/ to debian/clean to prevent FTBFSx2
  * Enable building with FFTW, ScaLAPACK and ELPA

 -- Graham Inggs <ginggs@debian.org>  Mon, 16 Nov 2020 14:37:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
                dh-python,
                gpaw-data,
                libblas-dev,
+               libelpa-dev (>= 2017.12.01),
                libfftw3-dev,
-               liblapack-dev,
                libscalapack-mpi-dev (>= 2.0.2),
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.20.1),
+               python3-ase (>= 3.21.0),
                python3-numpy,
                python3-pytest,
-               python3-setuptools,
-               python3-scipy
-Standards-Version: 4.5.0
+               python3-scipy,
+               python3-setuptools
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
@@ -28,13 +28,12 @@
 Package: gpaw
 Architecture: any
 Depends: gpaw-data,
-         libfftw3-dev,
          openmpi-bin,
-         python3-ase (>= 3.20.1),
+         python3-ase (>= 3.21.0),
+         python3-scipy
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-scipy
 Description: DFT and beyond within the projector-augmented wave method
  A density-functional theory (DFT) Python code
  based on the projector-augmented wave (PAW) method and the

## gpaw 21.6.0

=== debian/changelog ===
gpaw (21.6.0-1build1) jammy; urgency=medium

  * No-change rebuild against libxc9

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 11:44:05 +0000

gpaw (21.6.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh pass_hardening_flags.patch
  * Bump {Build-,}Depends on python3-ase (>= 3.22.0)
  * Add missing comma after Depends: python3-scipy
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 05 Dec 2021 09:47:44 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.21.0),
+               python3-ase (>= 3.22.0),
                python3-numpy,
                python3-pytest,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
@@ -29,8 +29,8 @@
 Architecture: any
 Depends: gpaw-data,
          openmpi-bin,
-         python3-ase (>= 3.21.0),
-         python3-scipy
+         python3-ase (>= 3.22.0),
+         python3-scipy,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## gpaw 22.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  clean      to clean up"
 	@echo "  browse     to open browser"
+	@echo "  doctest    to run doctest"
 
 clean:
 	rm -rf $(BUILDDIR)/*
@@ -45,3 +46,6 @@
 
 browse:
 	firefox build/html/index.html
+
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest tutorialsexercises/structureoptimization/gettingstarted/gettingstarted.rst documentation/core.rst

=== debian/changelog ===
gpaw (22.1.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:39:15 +0000

gpaw (22.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump {Build-,}Depends on python3-ase (>= 3.22.1)

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Feb 2022 11:33:26 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.22.0),
+               python3-ase (>= 3.22.1),
                python3-numpy,
                python3-pytest,
                python3-scipy,
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: gpaw-data,
          openmpi-bin,
-         python3-ase (>= 3.22.0),
+         python3-ase (>= 3.22.1),
          python3-scipy,
          ${misc:Depends},
          ${python3:Depends},

=== debian/watch ===
version=4
https://gitlab.com/gpaw/gpaw/tags?sort=updated_desc .*/gpaw-(\d\S+)\.tar\.gz

## gpaw 22.8.0

=== doc/Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -n
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python3 -d -m sphinx
 PAPER         =
 BUILDDIR      = build
 
 # User-friendly check for sphinx-build
-ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
-endif
+# ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+# $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+# endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -48,4 +48,7 @@
 	firefox build/html/index.html
 
 doctest:
-	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest tutorialsexercises/structureoptimization/gettingstarted/gettingstarted.rst documentation/core.rst
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest tutorialsexercises/structureoptimization/gettingstarted/gettingstarted.rst documentation/core.rst index.rst
+
+spelling:
+	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

=== debian/changelog ===
gpaw (22.8.0-2) unstable; urgency=medium

  * Remove unused Elpa Hermitian multiply code (Closes: #1028492)
  * Update debian/copyright
  * Bump Standards-Version to 4.6.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 14 Jan 2023 21:31:31 +0000

gpaw (22.8.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Aug 2022 11:04:59 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-pytest,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git

## gpaw 23.6.0

=== debian/changelog ===
gpaw (23.6.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, no longer needed

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Jun 2023 10:07:18 +0000

## gpaw 23.9.1

=== debian/changelog ===
gpaw (23.9.1-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:27 +0100

gpaw (23.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Sep 2023 13:44:44 +0000

## gpaw 24.1.0

=== debian/changelog ===
gpaw (24.1.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:53 +1100

gpaw (24.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Cherry-pick upstream commit to avoid FTBFS with pytest 8.0.2

 -- Graham Inggs <ginggs@debian.org>  Sat, 02 Mar 2024 17:15:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gpaw
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; $py -m gpaw test; done
Depends: gpaw, python3-all
Restrictions: allow-stderr
Features: test-name=serial

Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; OMPI_MCA_rmaps_base_oversubscribe=1 $py -m gpaw -P 4 test; done
Depends: gpaw, python3-all
Restrictions: allow-stderr
Features: test-name=parallel

## gpaw 24.6.0

=== doc/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 .PHONY: help clean html linkcheck browse
 
 html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	$(SPHINXBUILD) -b html -W --keep-going $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
gpaw (24.6.0-1ubuntu2) plucky; urgency=medium

  * Cherry-pick upstream commit for compatibility with scipy 1.14

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 19 Dec 2024 19:49:31 +0000

gpaw (24.6.0-1ubuntu1) plucky; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 06 Dec 2024 10:30:25 +0100

gpaw (24.6.0-1build2) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 11:58:36 +0000

gpaw (24.6.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:00 +0100

gpaw (24.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Drop patches included upstream
  * Bump {Build-,}Depends on python3-ase (>= 3.23.0)
  * Annotate test dependencies <!nocheck> (Closes: #1078912)
  * Bump Standards-Version to 4.7.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 26 Aug 2024 09:46:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               gpaw-data,
-               libblas-dev,
+               gpaw-data <!nocheck>,
+               libblas-dev <!nocheck>,
                libelpa-dev (>= 2017.12.01),
                libfftw3-dev,
                libscalapack-mpi-dev (>= 2.0.2),
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.22.1),
+               python3-ase (>= 3.23.0) <!nocheck>,
                python3-numpy,
-               python3-pytest,
-               python3-scipy,
+               python3-pytest <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: gpaw-data,
          openmpi-bin,
-         python3-ase (>= 3.22.1),
+         python3-ase (>= 3.23.0),
          python3-scipy,
          ${misc:Depends},
          ${python3:Depends},

## gpaw 25.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 # ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-# $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+# $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/)
 # endif
 
 # Internal variables.

=== doc/requirements.txt ===
sphinx
sphinx-rtd-theme
sphinxcontrib-jquery
pillow
graphviz
pytest
plotly
kaleido
scikit-image

=== debian/changelog ===
gpaw (25.1.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:20:45 +0000

gpaw (25.1.0-1) unstable; urgency=medium

  [ Adrien Nader ]
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.

  [ Graham Inggs ]
  * New upstream release
    - Compatibility with SciPy 1.14 and NumPy 2.0 (Closes: #1088823)
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sun, 16 Feb 2025 17:13:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gpaw
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Marcin Dulak <Marcin.Dulak@gmail.com>,
            Graham Inggs <ginggs@debian.org>
 Section: science

## gpaw 25.7.0

=== doc/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	firefox build/html/index.html
 
 doctest:
-	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest tutorialsexercises/structureoptimization/gettingstarted/gettingstarted.rst documentation/core.rst index.rst
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest tutorialsexercises/basics/gettingstarted/gettingstarted.rst documentation/core.rst index.rst
 
 spelling:
 	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

=== doc/requirements.txt ===
sphinx
sphinx-rtd-theme
sphinxcontrib-jquery
sphinx-charts
pillow
graphviz
pytest
plotly
kaleido
scikit-image
gpaw-web-page-data @ git+https://gitlab.com/gpaw/gpaw-web-page-data.git

=== debian/changelog ===
gpaw (25.7.0-1) unstable; urgency=medium

  * New upstream release
  * Bump {Build-,}Depends on python3-ase (>= 3.25.0)
  * Restore the ability to find gpaw-setups without
    having to set GPAW_SETUP_PATH
  * Build-Depends on python3-numpy-dev since dh_numpy3 move
  * Bump Standards-Version to 4.7.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Oct 2025 13:50:33 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                libxc-dev,
                mpi-default-dev,
                python3-all-dev,
-               python3-ase (>= 3.23.0) <!nocheck>,
-               python3-numpy,
+               python3-ase (>= 3.25.0) <!nocheck>,
+               python3-numpy-dev,
                python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/gpaw
 Vcs-Git: https://salsa.debian.org/debichem-team/gpaw.git
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: gpaw-data,
          openmpi-bin,
-         python3-ase (>= 3.23.0),
+         python3-ase (>= 3.25.0),
          python3-scipy,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export GPAW_CONFIG=$(CURDIR)/debian/siteconfig.py
 
 %:
 	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; $py -m gpaw test; done
Depends: gpaw, python3-all
Restrictions: allow-stderr
Features: test-name=serial

Test-Command: for py in $(py3versions -s); do cd "$AUTOPKGTEST_TMP"; PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe $py -m gpaw -P 4 test; done
Depends: gpaw, python3-all
Restrictions: allow-stderr
Features: test-name=parallel

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/gpaw/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
